## ros-indigo-sr-mechanism-controllers 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sr_mechanism_controllers)
find_package(catkin REQUIRED COMPONENTS rostest std_msgs std_srvs roscpp actionlib controller_manager_msgs sr_robot_msgs
  sr_utilities controller_interface ros_ethercat_model realtime_tools velocity_controllers
  pluginlib rosconsole angles control_toolbox sr_hardware_interface xmlrpcpp cmake_modules)
find_package(TinyXML REQUIRED)
include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS} ${TinyXML_INCLUDE_DIRS})

catkin_package(
  DEPENDS xmlrpcpp
  CATKIN_DEPENDS std_msgs std_srvs roscpp actionlib controller_manager_msgs sr_robot_msgs sr_utilities controller_interface ros_ethercat_model
    realtime_tools velocity_controllers pluginlib rosconsole angles control_toolbox sr_hardware_interface
  INCLUDE_DIRS include
  LIBRARIES sr_mechanism_controllers
)

#if you compile with "DEBUG=1 make", some debug data are going to be published
set(debug $ENV{DEBUG})
message(" ----- Shadow Robot EtherCAT driver configuration:")
if(DEFINED debug)
  #it is forbidden to set CMAKE_CXX_FLAGS in catkin, so this should probably be added as a command lina argument
  # http://docs.ros.org/hydro/api/catkin/html/user_guide/standards.html
  set( CMAKE_CXX_FLAGS "-D DEBUG_PUBLISHER")
  message(" [x] Debug publisher")
else(DEFINED debug)
  message(" [ ] Debug publisher")
endif(DEFINED debug)
message(" ----- ")

add_executable(joint_trajectory_action_controller src/joint_trajectory_action_controller.cpp)
add_dependencies(joint_trajectory_action_controller ${catkin_EXPORTED_TARGETS})
target_link_libraries(joint_trajectory_action_controller ${catkin_LIBRARIES})

add_executable(joint_spline_trajectory_action_controller src/joint_spline_trajectory_action_controller.cpp)
add_dependencies(joint_spline_trajectory_action_controller ${catkin_EXPORTED_TARGETS})
target_link_libraries(joint_spline_trajectory_action_controller ${catkin_LIBRARIES})

add_executable(simple_spline_trajectory example/simple_spline_trajectory.cpp)
add_dependencies(simple_spline_trajectory ${catkin_EXPORTED_TARGETS})
target_link_libraries(simple_spline_trajectory ${catkin_LIBRARIES})

add_library(sr_mechanism_controllers
  src/srh_fake_joint_calibration_controller.cpp
  src/srh_joint_position_controller.cpp
  src/srh_joint_effort_controller.cpp
  src/srh_joint_velocity_controller.cpp
  src/srh_mixed_position_velocity_controller.cpp
  src/sr_friction_compensation.cpp
  src/srh_muscle_joint_position_controller.cpp
  src/srh_joint_muscle_valve_controller.cpp
  example/srh_syntouch_controllers.cpp
  src/sr_controller.cpp
)
add_dependencies(sr_mechanism_controllers ${catkin_EXPORTED_TARGETS})
target_link_libraries(sr_mechanism_controllers ${catkin_LIBRARIES})

add_executable(simple_trajectory example/simple_trajectory.cpp)
add_dependencies(simple_trajectory ${catkin_EXPORTED_TARGETS})
target_link_libraries(simple_trajectory ${catkin_LIBRARIES})

add_executable(simple_trajectory_compare example/simple_trajectory_compare.cpp)
add_dependencies(simple_trajectory_compare ${catkin_EXPORTED_TARGETS})
target_link_libraries(simple_trajectory_compare ${catkin_LIBRARIES})


#if(COMMAND add_rostest_gtest)
#  add_rostest_gtest(test_joint_pos_controller test/joint_pos_controller.test test/test_joint_pos_controller.cpp test/test_controllers.cpp
#    src/srh_joint_position_controller.cpp src/sr_controller.cpp)
#  add_dependencies(test_joint_pos_controller ${catkin_EXPORTED_TARGETS})
#  target_link_libraries(test_joint_pos_controller sr_mechanism_controllers ${GTEST_LIBRARIES} ${catkin_LIBRARIES} ${TinyXML_LIBRARIES})

#  add_rostest_gtest(test_joint_pos_controller_with_fc test/joint_pos_controller_with_fc.test test/test_joint_pos_controller.cpp test/test_controllers.cpp
#    src/srh_joint_position_controller.cpp src/sr_controller.cpp)
#  add_dependencies(test_joint_pos_controller_with_fc ${catkin_EXPORTED_TARGETS})
#  target_link_libraries(test_joint_pos_controller_with_fc sr_mechanism_controllers ${GTEST_LIBRARIES} ${catkin_LIBRARIES} ${TinyXML_LIBRARIES})
#endif(COMMAND add_rostest_gtest)

install(TARGETS joint_trajectory_action_controller joint_spline_trajectory_action_controller simple_spline_trajectory
  sr_mechanism_controllers simple_trajectory simple_trajectory_compare
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY example/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hpp"
)

install(FILES controller_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-sr-mechanism-controllers (1.4.0-0trusty) trusty; urgency=high

  * Adapt calibration controller
  * Fix joint limit reading
  * using prefix on joints didn't work with gazebo controllers. This is now working
  * removed the divide by 2 for the velocity commands

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 23:00:00 -0000

ros-indigo-sr-mechanism-controllers (1.3.1-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 23:00:00 -0000

ros-indigo-sr-mechanism-controllers (1.3.0-0trusty) trusty; urgency=high

  * first hydro release

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 11 Feb 2014 00:00:00 -0000

=== debian/control ===
Source: ros-indigo-sr-mechanism-controllers
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, libtinyxml-dev, ros-indigo-actionlib, ros-indigo-angles, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-control-msgs, ros-indigo-control-toolbox, ros-indigo-controller-interface, ros-indigo-controller-manager-msgs, ros-indigo-pluginlib, ros-indigo-realtime-tools, ros-indigo-ros-ethercat-model, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sr-hardware-interface, ros-indigo-sr-robot-msgs, ros-indigo-sr-utilities, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-velocity-controllers, ros-indigo-xmlrpcpp
Homepage: http://ros.org/wiki/sr_mechanism_controllers
Standards-Version: 3.9.2

Package: ros-indigo-sr-mechanism-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-angles, ros-indigo-control-msgs, ros-indigo-control-toolbox, ros-indigo-controller-interface, ros-indigo-controller-manager-msgs, ros-indigo-pluginlib, ros-indigo-realtime-tools, ros-indigo-ros-ethercat-model, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-sr-hardware-interface, ros-indigo-sr-robot-msgs, ros-indigo-sr-utilities, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-velocity-controllers, ros-indigo-xmlrpcpp
Description: The sr_mechanism_controllers package contains different types of controllers for the etherCAT hand:(fake) calibration controllers, position controllers, velocity controllers, force controllers, ...

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-sr-mechanism-controllers//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
